complexType "CommodityAmericanExercise"

Namespace: | http://www.fpml.org/FpML-5/transparency
Content: | complex, 1 attribute, 2 elements
Defined: | globally in fpml-com-5-3.xsd; see XML source
Includes: | definitions of 2 elements
Used: | at 1 location

Content Model Diagram

XML Representation Summary
<...
id | = | xsd:ID
| >
Content: | (exercisePeriod*, exerciseFrequency?)?
</...>

Content Model Elements (2):

  exerciseFrequency (in americanExercise in exercise in commodityOption),
  exercisePeriod

All Direct / Indirect Based Elements (1):

  americanExercise (in exercise in commodityOption)

Known Usage Locations

- As direct type of elements (1):
  americanExercise (in exercise in commodityOption)

Annotation
A type for defining exercise procedures associated with an American style exercise of a commodity option.
Type Definition Detail

Type Derivation Tree Exercise (extension) CommodityAmericanExercise

XML Source (w/o annotations (4); see within schema source)

<xsd:complexType name="CommodityAmericanExercise"> <xsd:complexContent> <xsd:extension base="Exercise"> <xsd:sequence> <!--View Generation: SKIPPED exercisePeriod - Technical--> <xsd:sequence minOccurs="0"> <xsd:element maxOccurs="unbounded" minOccurs="0" name="exercisePeriod" type="CommodityExercisePeriods"/> <xsd:element minOccurs="0" name="exerciseFrequency" type="Frequency"/> </xsd:sequence> <!--View Generation: Skipped an empty choice.--> <!--View Generation: SKIPPED expirationTime - Documentation--> <!--View Generation: SKIPPED multipleExercise - Documentation--> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 2/2)
exerciseFrequency

  Type: | Frequency, complex content

  The exercise frequency for the strip.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="exerciseFrequency" type="Frequency"/>

exercisePeriod

  Type: | CommodityExercisePeriods, complex content

  Describes the American exercise periods.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element maxOccurs="unbounded" minOccurs="0" name="exercisePeriod" type="CommodityExercisePeriods"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.